
/**
 * 自定义表格数据加载
 *
 * @export
 * @class GridViewLoadUILogicBase
 */
export default class GridViewLoadUILogicBase {

    /**
     * Creates an instance of  GridViewLoadBase.
     * 
     * @param {*} [opts={}]
     * @memberof  GridViewLoadUILogicBase
     */
    constructor(opts: any = {}) { }


    protected logicNodes: any = {
        'Begin': new BeginNode(),
        'BINDPARAM1': new LogicNodeBase(),
        'VIEWCTRLINVOKE1': new LogicNodeBase(),
        'END1': new EndNode(),
        'VIEWCTRLINVOKE2': new LogicNodeBase(),
    }

    /**
     * 执行
     *
     * @param {any[]} args
     * @param {*} [context={}]
     * @param {*} [params={}]
     * @param {*} [$event]
     * @param {*} [xData]
     * @param {*} [actionContext]
     * @param {string} [srfParentDeName]
     * @memberof GridViewLoadUILogicBase
     */
    execute(args: any[], context:any = {} ,params: any = {}, $event?: any, xData?: any, actionContext?: any, srfParentDeName?: string) {
        console.log('执行UILogic 自定义表格数据加载');
    }


}